Bug 1277933 - Review Request: R-praise - Praise Users
Review Request: R-praise - Praise Users
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1277970
  Show dependency treegraph
 
Reported: 2015-11-04 06:38 EST by Tom "spot" Callaway
Modified: 2015-12-11 18:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 18:52:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2015-11-04 06:38:08 EST
Spec URL: https://spot.fedorapeople.org/R-praise.spec
SRPM URL: https://spot.fedorapeople.org/R-praise-1.0.0-1.fc23.src.rpm
Description: Build friendly R packages that praise their users if they have done something good, or they just need it to feel better.
Fedora Account System Username: spot
Comment 1 Tom "spot" Callaway 2015-11-04 07:02:04 EST
Koji Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11699241
Comment 2 gil cattaneo 2015-11-09 17:57:47 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=995444 ?
Comment 3 gil cattaneo 2015-11-09 18:49:38 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package have the default element marked as %%doc :DESCRIPTION
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 18 files have unknown license. Detailed
     output of licensecheck in /home/gil/1277933-R-praise/licensecheck.txt
   All source files are without license headers. Please, inform upstream to confirm the licensing of code and/or content/s
   and ask to add license headers in those files where is missing
   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
   
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define packname praise
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.0.0, packaged version is 1.0.0

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1277933-R-praise/results/R-praise-1.0.0-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1277933-R-praise/results/R-praise-1.0.0-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: R-praise-1.0.0-1.fc24.noarch.rpm
          R-praise-1.0.0-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
R-praise (rpmlib, GLIBC filtered):
    R-core



Provides
--------
R-praise:
    R-praise



Source checksums
----------------
ftp://cran.r-project.org/pub/R/contrib/main/praise_1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 5c035e74fd05dfa59b03afe0d5f4c53fbf34144e175e90c53d09c6baedf5debd
  CHECKSUM(SHA256) upstream package : 5c035e74fd05dfa59b03afe0d5f4c53fbf34144e175e90c53d09c6baedf5debd


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1277933 --plugins R -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, R, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2015-11-09 18:54:55 EST
NON blocking issues:

- Package have the default element marked as %%doc :DESCRIPTION
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 18 files have unknown license. Detailed
     output of licensecheck in /home/gil/1277933-R-praise/licensecheck.txt
   All source files are without license headers. Please, inform upstream to confirm the licensing of code and/or content/s
   and ask to add license headers in those files where is missing
   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Package does not include license text files separate from upstream.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define packname praise

Please, fix before import
Comment 5 Tom "spot" Callaway 2015-11-10 14:35:36 EST
DESCRIPTION is not supposed to be doc in R packages, because R will break if it can't find it for the modules.
Comment 6 gil cattaneo 2015-11-10 15:44:08 EST
Approved. Please, fix remaining problems before import
Comment 7 Gwyn Ciesla 2015-11-11 09:10:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-praise
Comment 8 Fedora Update System 2015-12-01 15:46:33 EST
R-DBI-0.3.1-1.fc23 R-testthat-0.11.0-2.fc23 R-crayon-1.3.1-2.fc23 R-memoise-0.2.1-2.fc23 R-praise-1.0.0-2.fc23 R-digest-0.6.8-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc7d4f9a1c
Comment 9 Fedora Update System 2015-12-03 20:37:54 EST
R-DBI-0.3.1-1.fc23, R-crayon-1.3.1-2.fc23, R-digest-0.6.8-2.fc23, R-memoise-0.2.1-2.fc23, R-praise-1.0.0-2.fc23, R-testthat-0.11.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update R-DBI R-testthat R-crayon R-memoise R-digest R-praise'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc7d4f9a1c
Comment 10 Fedora Update System 2015-12-11 18:52:36 EST
R-DBI-0.3.1-1.fc23, R-crayon-1.3.1-2.fc23, R-digest-0.6.8-2.fc23, R-memoise-0.2.1-2.fc23, R-praise-1.0.0-2.fc23, R-testthat-0.11.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.